@echo off
setlocal

set ARCHTYPE=x64
set DEMO_DATA_DIR=..\..\..\tests\cpp_hello
set BIN_PATH=..\..\Release\x64

set PROG_PATH=%BIN_PATH%\UlsHello.exe
set INPUT_FILE=in_1_1.txt

if not exist "%DEMO_DATA_DIR%" (
	echo '%DEMO_DATA_DIR%': not exist!
	goto end_1
)

if not exist "%PROG_PATH%" (
	echo '%PROG_PATH%': not exist!
	goto end_1
)

echo %PROG_PATH% %DEMO_DATA_DIR%\%INPUT_FILE%
set ULC_PATH=%DEMO_DATA_DIR%
%PROG_PATH% %DEMO_DATA_DIR%\%INPUT_FILE%

:end_1

endlocal

echo Press any key to quit...
pause
